import request from '@/utils/request'

// 查询地域地区列表
export function listDistrict(query) {
  return request({
    url: '/system/district/list',
    method: 'get',
    params: query
  })
}

// 查询地域地区详细
export function getDistrict(id) {
  return request({
    url: '/system/district/' + id,
    method: 'get'
  })
}

// 新增地域地区
export function addDistrict(data) {
  return request({
    url: '/system/district',
    method: 'post',
    data: data
  })
}

// 修改地域地区
export function updateDistrict(data) {
  return request({
    url: '/system/district/'+data.id,
    method: 'put',
    data: data
  })
}

// 删除地域地区
export function delDistrict(id) {
  return request({
    url: '/system/district/' + id,
    method: 'delete'
  })
}
